Index: /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/ScatterPlotView.cs
===================================================================
--- /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/ScatterPlotView.cs	(revision 5274)
+++ /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/ScatterPlotView.cs	(revision 5275)
@@ -61,5 +61,6 @@
       this.chart.AxisViewChanged += new EventHandler<System.Windows.Forms.DataVisualization.Charting.ViewEventArgs>(chart_AxisViewChanged);
 
-      //configure axis                  
+      //configure axis 
+      this.chart.CustomizeAllChartAreas();
       this.chart.ChartAreas[0].AxisX.Title = "Estimated Values";
       this.chart.ChartAreas[0].CursorX.IsUserSelectionEnabled = true;
@@ -127,8 +128,4 @@
         string targetVariableName = Content.ProblemData.TargetVariable.Value;
         Dataset dataset = Content.ProblemData.Dataset;
-        int trainingStart = Content.ProblemData.TrainingSamplesStart.Value;
-        int trainingEnd = Content.ProblemData.TrainingSamplesEnd.Value;
-        int testStart = Content.ProblemData.TestSamplesStart.Value;
-        int testEnd = Content.ProblemData.TestSamplesEnd.Value;
         if (this.chart.Series[ALL_SERIES].Points.Count > 0)
           this.chart.Series[ALL_SERIES].Points.DataBindXY(Content.EstimatedValues.ToArray(), "",
@@ -136,14 +133,20 @@
         if (this.chart.Series[TRAINING_SERIES].Points.Count > 0)
           this.chart.Series[TRAINING_SERIES].Points.DataBindXY(Content.EstimatedTrainingValues.ToArray(), "",
-            dataset.GetVariableValues(targetVariableName, trainingStart, trainingEnd), "");
+            dataset.GetEnumeratedVariableValues(targetVariableName, Content.ProblemData.TrainingIndizes).ToArray(), "");
         if (this.chart.Series[TEST_SERIES].Points.Count > 0)
           this.chart.Series[TEST_SERIES].Points.DataBindXY(Content.EstimatedTestValues.ToArray(), "",
-            dataset.GetVariableValues(targetVariableName, testStart, testEnd), "");
+           dataset.GetEnumeratedVariableValues(targetVariableName, Content.ProblemData.TestIndizes).ToArray(), "");
 
         double max = Math.Max(Content.EstimatedValues.Max(), dataset.GetVariableValues(targetVariableName).Max());
         double min = Math.Min(Content.EstimatedValues.Min(), dataset.GetVariableValues(targetVariableName).Min());
 
-        max = Math.Ceiling(max) * 1.2;
-        min = Math.Floor(min) * 0.8;
+        max = max + 0.2 * Math.Abs(max);
+        min = min - 0.2 * Math.Abs(min);
+
+        double interestingValuesRange = max - min;
+        int digits = Math.Max(0, 3 - (int)Math.Log10(interestingValuesRange));
+
+        max = Math.Round(max, digits);
+        min = Math.Round(min, digits);
 
         this.chart.ChartAreas[0].AxisX.Maximum = max;
@@ -168,9 +171,4 @@
       } else if (Content != null) {
         string targetVariableName = Content.ProblemData.TargetVariable.Value;
-        Dataset dataset = Content.ProblemData.Dataset;
-        int trainingStart = Content.ProblemData.TrainingSamplesStart.Value;
-        int trainingEnd = Content.ProblemData.TrainingSamplesEnd.Value;
-        int testStart = Content.ProblemData.TestSamplesStart.Value;
-        int testEnd = Content.ProblemData.TestSamplesEnd.Value;
 
         IEnumerable<double> predictedValues = null;
@@ -178,14 +176,14 @@
         switch (series.Name) {
           case ALL_SERIES:
-            predictedValues = Content.EstimatedValues;
-            targetValues = dataset.GetVariableValues(targetVariableName);
+            predictedValues = Content.EstimatedValues.ToArray();
+            targetValues = Content.ProblemData.Dataset.GetVariableValues(targetVariableName);
             break;
           case TRAINING_SERIES:
-            predictedValues = Content.EstimatedTrainingValues;
-            targetValues = dataset.GetVariableValues(targetVariableName, trainingStart, trainingEnd);
+            predictedValues = Content.EstimatedTrainingValues.ToArray();
+            targetValues = Content.ProblemData.Dataset.GetEnumeratedVariableValues(targetVariableName, Content.ProblemData.TrainingIndizes).ToArray();
             break;
           case TEST_SERIES:
-            predictedValues = Content.EstimatedTestValues;
-            targetValues = dataset.GetVariableValues(targetVariableName, testStart, testEnd);
+            predictedValues = Content.EstimatedTestValues.ToArray();
+            targetValues = Content.ProblemData.Dataset.GetEnumeratedVariableValues(targetVariableName, Content.ProblemData.TestIndizes).ToArray();
             break;
         }
Index: /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SymbolicRegressionSolutionView.Designer.cs
===================================================================
--- /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SymbolicRegressionSolutionView.Designer.cs	(revision 5274)
+++ /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SymbolicRegressionSolutionView.Designer.cs	(revision 5275)
@@ -63,4 +63,8 @@
       this.modelTabPage.Size = new System.Drawing.Size(372, 207);
       // 
+      // dataViewHost
+      // 
+      this.dataViewHost.Size = new System.Drawing.Size(360, 195);
+      // 
       // modelViewHost
       // 
Index: /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/ConstantView.Designer.cs
===================================================================
--- /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/ConstantView.Designer.cs	(revision 5274)
+++ /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/ConstantView.Designer.cs	(revision 5275)
@@ -54,5 +54,5 @@
       this.valueChangeSigmaTextBox = new System.Windows.Forms.TextBox();
       this.meanWeightChangeLabel = new System.Windows.Forms.Label();
-      this.valueChangeNuTextBox = new System.Windows.Forms.TextBox();
+      this.valueChangeMuTextBox = new System.Windows.Forms.TextBox();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.initializationGroupBox.SuspendLayout();
@@ -146,5 +146,5 @@
       this.mutationGroupBox.Controls.Add(this.valueChangeSigmaTextBox);
       this.mutationGroupBox.Controls.Add(this.meanWeightChangeLabel);
-      this.mutationGroupBox.Controls.Add(this.valueChangeNuTextBox);
+      this.mutationGroupBox.Controls.Add(this.valueChangeMuTextBox);
       this.mutationGroupBox.Location = new System.Drawing.Point(3, 158);
       this.mutationGroupBox.Name = "mutationGroupBox";
@@ -183,20 +183,20 @@
       this.meanWeightChangeLabel.Location = new System.Drawing.Point(6, 22);
       this.meanWeightChangeLabel.Name = "meanWeightChangeLabel";
-      this.meanWeightChangeLabel.Size = new System.Drawing.Size(97, 13);
+      this.meanWeightChangeLabel.Size = new System.Drawing.Size(99, 13);
       this.meanWeightChangeLabel.TabIndex = 6;
-      this.meanWeightChangeLabel.Text = "Value change (nu):";
-      this.toolTip.SetToolTip(this.meanWeightChangeLabel, "The nu (mean) parameter for the normal distribution to sample the value change.");
-      // 
-      // valueChangeNuTextBox
-      // 
-      this.valueChangeNuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.errorProvider.SetIconAlignment(this.valueChangeNuTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.valueChangeNuTextBox.Location = new System.Drawing.Point(136, 19);
-      this.valueChangeNuTextBox.Name = "valueChangeNuTextBox";
-      this.valueChangeNuTextBox.Size = new System.Drawing.Size(178, 20);
-      this.valueChangeNuTextBox.TabIndex = 7;
-      this.toolTip.SetToolTip(this.valueChangeNuTextBox, "The nu (mean) parameter for the normal distribution to sample the value change.");
-      this.valueChangeNuTextBox.TextChanged += new System.EventHandler(this.valueChangeNuTextBox_TextChanged);
+      this.meanWeightChangeLabel.Text = "Value change (mu):";
+      this.toolTip.SetToolTip(this.meanWeightChangeLabel, "The mu (mean) parameter for the normal distribution to sample the value change.");
+      // 
+      // valueChangeMuTextBox
+      // 
+      this.valueChangeMuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.errorProvider.SetIconAlignment(this.valueChangeMuTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.valueChangeMuTextBox.Location = new System.Drawing.Point(136, 19);
+      this.valueChangeMuTextBox.Name = "valueChangeMuTextBox";
+      this.valueChangeMuTextBox.Size = new System.Drawing.Size(178, 20);
+      this.valueChangeMuTextBox.TabIndex = 7;
+      this.toolTip.SetToolTip(this.valueChangeMuTextBox, "The mu (mean) parameter for the normal distribution to sample the value change.");
+      this.valueChangeMuTextBox.TextChanged += new System.EventHandler(this.valueChangeMuTextBox_TextChanged);
       // 
       // ConstantView
@@ -237,5 +237,5 @@
     private System.Windows.Forms.TextBox valueChangeSigmaTextBox;
     private System.Windows.Forms.Label meanWeightChangeLabel;
-    private System.Windows.Forms.TextBox valueChangeNuTextBox;
+    private System.Windows.Forms.TextBox valueChangeMuTextBox;
 
   }
Index: /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/ConstantView.cs
===================================================================
--- /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/ConstantView.cs	(revision 5274)
+++ /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/ConstantView.cs	(revision 5275)
@@ -58,7 +58,11 @@
       base.SetEnabledStateOfControls();
       minValueTextBox.Enabled = Content != null;
+      minValueTextBox.ReadOnly = ReadOnly;
       maxValueTextBox.Enabled = Content != null;
-      valueChangeNuTextBox.Enabled = Content != null;
+      maxValueTextBox.ReadOnly = ReadOnly;
+      valueChangeMuTextBox.Enabled = Content != null;
+      valueChangeMuTextBox.ReadOnly = ReadOnly;
       valueChangeSigmaTextBox.Enabled = Content != null;
+      valueChangeSigmaTextBox.ReadOnly = ReadOnly;
     }
 
@@ -89,11 +93,11 @@
     }
 
-    private void valueChangeNuTextBox_TextChanged(object sender, EventArgs e) {
+    private void valueChangeMuTextBox_TextChanged(object sender, EventArgs e) {
       double nu;
-      if (double.TryParse(valueChangeNuTextBox.Text, out nu)) {
-        Content.ManipulatorNu = nu;
-        errorProvider.SetError(valueChangeNuTextBox, string.Empty);
+      if (double.TryParse(valueChangeMuTextBox.Text, out nu)) {
+        Content.ManipulatorMu = nu;
+        errorProvider.SetError(valueChangeMuTextBox, string.Empty);
       } else {
-        errorProvider.SetError(valueChangeNuTextBox, "Invalid value");
+        errorProvider.SetError(valueChangeMuTextBox, "Invalid value");
       }
     }
@@ -120,5 +124,5 @@
         minValueTextBox.Text = Content.MinValue.ToString();
         maxValueTextBox.Text = Content.MaxValue.ToString();
-        valueChangeNuTextBox.Text = Content.ManipulatorNu.ToString();
+        valueChangeMuTextBox.Text = Content.ManipulatorMu.ToString();
         valueChangeSigmaTextBox.Text = Content.ManipulatorSigma.ToString();
       }
Index: /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/LaggedVariableView.cs
===================================================================
--- /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/LaggedVariableView.cs	(revision 5274)
+++ /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/LaggedVariableView.cs	(revision 5275)
@@ -57,5 +57,7 @@
       base.SetEnabledStateOfControls();
       minTimeOffsetTextBox.Enabled = Content != null;
+      minTimeOffsetTextBox.ReadOnly = ReadOnly;
       maxTimeOffsetTextBox.Enabled = Content != null;
+      maxTimeOffsetTextBox.ReadOnly = ReadOnly;
     }
 
Index: /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.Designer.cs
===================================================================
--- /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.Designer.cs	(revision 5274)
+++ /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.Designer.cs	(revision 5275)
@@ -45,6 +45,6 @@
     /// </summary>
     private void InitializeComponent() {
-      this.weightNuLabel = new System.Windows.Forms.Label();
-      this.weightNuTextBox = new System.Windows.Forms.TextBox();
+      this.weightMuLabel = new System.Windows.Forms.Label();
+      this.weightMuTextBox = new System.Windows.Forms.TextBox();
       this.initializationGroupBox = new System.Windows.Forms.GroupBox();
       this.weightSigmaLabel = new System.Windows.Forms.Label();
@@ -54,5 +54,5 @@
       this.weightChangeSigmaTextBox = new System.Windows.Forms.TextBox();
       this.meanWeightChangeLabel = new System.Windows.Forms.Label();
-      this.weightChangeNuTextBox = new System.Windows.Forms.TextBox();
+      this.weightChangeMuTextBox = new System.Windows.Forms.TextBox();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.initializationGroupBox.SuspendLayout();
@@ -66,4 +66,5 @@
       // initialFrequencyTextBox
       // 
+      this.errorProvider.SetIconAlignment(this.initialFrequencyTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.initialFrequencyTextBox.Size = new System.Drawing.Size(203, 20);
       // 
@@ -76,27 +77,28 @@
       // descriptionTextBox
       // 
+      this.errorProvider.SetIconAlignment(this.descriptionTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.descriptionTextBox.Size = new System.Drawing.Size(203, 20);
       // 
-      // weightNuLabel
-      // 
-      this.weightNuLabel.AutoSize = true;
-      this.weightNuLabel.Location = new System.Drawing.Point(6, 22);
-      this.weightNuLabel.Name = "weightNuLabel";
-      this.weightNuLabel.Size = new System.Drawing.Size(65, 13);
-      this.weightNuLabel.TabIndex = 6;
-      this.weightNuLabel.Text = "Weight (nu):";
-      this.toolTip.SetToolTip(this.weightNuLabel, "The nu (mean) parameter of the normal distribution to use for initial weights.");
-      // 
-      // weightNuTextBox
-      // 
-      this.weightNuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.weightNuTextBox.Location = new System.Drawing.Point(92, 19);
-      this.weightNuTextBox.Name = "weightNuTextBox";
-      this.weightNuTextBox.Size = new System.Drawing.Size(201, 20);
-      this.weightNuTextBox.TabIndex = 7;
-      this.toolTip.SetToolTip(this.weightNuTextBox, "The nu (mean) parameter of the normal distribution from which to sample the initi" +
+      // weightMuLabel
+      // 
+      this.weightMuLabel.AutoSize = true;
+      this.weightMuLabel.Location = new System.Drawing.Point(6, 22);
+      this.weightMuLabel.Name = "weightMuLabel";
+      this.weightMuLabel.Size = new System.Drawing.Size(67, 13);
+      this.weightMuLabel.TabIndex = 6;
+      this.weightMuLabel.Text = "Weight (mu):";
+      this.toolTip.SetToolTip(this.weightMuLabel, "The mu (mean) parameter of the normal distribution to use for initial weights.");
+      // 
+      // weightMuTextBox
+      // 
+      this.weightMuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.weightMuTextBox.Location = new System.Drawing.Point(92, 19);
+      this.weightMuTextBox.Name = "weightMuTextBox";
+      this.weightMuTextBox.Size = new System.Drawing.Size(201, 20);
+      this.weightMuTextBox.TabIndex = 7;
+      this.toolTip.SetToolTip(this.weightMuTextBox, "The mu (mean) parameter of the normal distribution from which to sample the initi" +
               "al weights.");
-      this.weightNuTextBox.TextChanged += new System.EventHandler(this.weightNuTextBox_TextChanged);
+      this.weightMuTextBox.TextChanged += new System.EventHandler(this.weightMuTextBox_TextChanged);
       // 
       // initializationGroupBox
@@ -106,6 +108,6 @@
       this.initializationGroupBox.Controls.Add(this.weightSigmaLabel);
       this.initializationGroupBox.Controls.Add(this.weightSigmaTextBox);
-      this.initializationGroupBox.Controls.Add(this.weightNuLabel);
-      this.initializationGroupBox.Controls.Add(this.weightNuTextBox);
+      this.initializationGroupBox.Controls.Add(this.weightMuLabel);
+      this.initializationGroupBox.Controls.Add(this.weightMuTextBox);
       this.initializationGroupBox.Location = new System.Drawing.Point(3, 79);
       this.initializationGroupBox.Name = "initializationGroupBox";
@@ -144,5 +146,5 @@
       this.mutationGroupBox.Controls.Add(this.weightChangeSigmaTextBox);
       this.mutationGroupBox.Controls.Add(this.meanWeightChangeLabel);
-      this.mutationGroupBox.Controls.Add(this.weightChangeNuTextBox);
+      this.mutationGroupBox.Controls.Add(this.weightChangeMuTextBox);
       this.mutationGroupBox.Location = new System.Drawing.Point(3, 158);
       this.mutationGroupBox.Name = "mutationGroupBox";
@@ -180,21 +182,21 @@
       this.meanWeightChangeLabel.Location = new System.Drawing.Point(6, 22);
       this.meanWeightChangeLabel.Name = "meanWeightChangeLabel";
-      this.meanWeightChangeLabel.Size = new System.Drawing.Size(104, 13);
+      this.meanWeightChangeLabel.Size = new System.Drawing.Size(106, 13);
       this.meanWeightChangeLabel.TabIndex = 6;
-      this.meanWeightChangeLabel.Text = "Weight change (nu):";
+      this.meanWeightChangeLabel.Text = "Weight change (mu):";
       this.toolTip.SetToolTip(this.meanWeightChangeLabel, "The nu (mean) parameter for the normal distribution to sample the change in weigh" +
               "t.");
       // 
-      // weightChangeNuTextBox
-      // 
-      this.weightChangeNuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.weightChangeNuTextBox.Location = new System.Drawing.Point(131, 19);
-      this.weightChangeNuTextBox.Name = "weightChangeNuTextBox";
-      this.weightChangeNuTextBox.Size = new System.Drawing.Size(162, 20);
-      this.weightChangeNuTextBox.TabIndex = 7;
-      this.toolTip.SetToolTip(this.weightChangeNuTextBox, "The nu (mean) parameter for the normal distribution to sample the change in weigh" +
+      // weightChangeMuTextBox
+      // 
+      this.weightChangeMuTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.weightChangeMuTextBox.Location = new System.Drawing.Point(131, 19);
+      this.weightChangeMuTextBox.Name = "weightChangeMuTextBox";
+      this.weightChangeMuTextBox.Size = new System.Drawing.Size(162, 20);
+      this.weightChangeMuTextBox.TabIndex = 7;
+      this.toolTip.SetToolTip(this.weightChangeMuTextBox, "The mu (mean) parameter for the normal distribution to sample the change in weigh" +
               "t.");
-      this.weightChangeNuTextBox.TextChanged += new System.EventHandler(this.weightChangeNuTextBox_TextChanged);
+      this.weightChangeMuTextBox.TextChanged += new System.EventHandler(this.weightChangeMuTextBox_TextChanged);
       // 
       // VariableView
@@ -226,6 +228,6 @@
     #endregion
 
-    private System.Windows.Forms.Label weightNuLabel;
-    private System.Windows.Forms.TextBox weightNuTextBox;
+    private System.Windows.Forms.Label weightMuLabel;
+    private System.Windows.Forms.TextBox weightMuTextBox;
     protected System.Windows.Forms.GroupBox initializationGroupBox;
     private System.Windows.Forms.Label weightSigmaLabel;
@@ -235,5 +237,5 @@
     private System.Windows.Forms.TextBox weightChangeSigmaTextBox;
     private System.Windows.Forms.Label meanWeightChangeLabel;
-    private System.Windows.Forms.TextBox weightChangeNuTextBox;
+    private System.Windows.Forms.TextBox weightChangeMuTextBox;
 
   }
Index: /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.cs
===================================================================
--- /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.cs	(revision 5274)
+++ /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.cs	(revision 5275)
@@ -57,8 +57,12 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      weightNuTextBox.Enabled = Content != null;
+      weightMuTextBox.Enabled = Content != null;
+      weightMuTextBox.ReadOnly = ReadOnly;
       weightSigmaTextBox.Enabled = Content != null;
-      weightChangeNuTextBox.Enabled = Content != null;
+      weightSigmaTextBox.ReadOnly = ReadOnly;
+      weightChangeMuTextBox.Enabled = Content != null;
+      weightChangeMuTextBox.ReadOnly = ReadOnly;
       weightChangeSigmaTextBox.Enabled = Content != null;
+      weightChangeSigmaTextBox.ReadOnly = ReadOnly;
     }
 
@@ -70,11 +74,11 @@
 
     #region control event handlers
-    private void weightNuTextBox_TextChanged(object sender, EventArgs e) {
+    private void weightMuTextBox_TextChanged(object sender, EventArgs e) {
       double nu;
-      if (double.TryParse(weightNuTextBox.Text, out nu)) {
-        Content.WeightNu = nu;
-        errorProvider.SetError(weightNuTextBox, string.Empty);
+      if (double.TryParse(weightMuTextBox.Text, out nu)) {
+        Content.WeightMu = nu;
+        errorProvider.SetError(weightMuTextBox, string.Empty);
       } else {
-        errorProvider.SetError(weightNuTextBox, "Invalid value");
+        errorProvider.SetError(weightMuTextBox, "Invalid value");
       }
     }
@@ -89,11 +93,11 @@
     }
 
-    private void weightChangeNuTextBox_TextChanged(object sender, EventArgs e) {
+    private void weightChangeMuTextBox_TextChanged(object sender, EventArgs e) {
       double nu;
-      if (double.TryParse(weightChangeNuTextBox.Text, out nu)) {
-        Content.WeightManipulatorNu = nu;
-        errorProvider.SetError(weightChangeNuTextBox, string.Empty);
+      if (double.TryParse(weightChangeMuTextBox.Text, out nu)) {
+        Content.WeightManipulatorMu = nu;
+        errorProvider.SetError(weightChangeMuTextBox, string.Empty);
       } else {
-        errorProvider.SetError(weightChangeNuTextBox, "Invalid value");
+        errorProvider.SetError(weightChangeMuTextBox, "Invalid value");
       }
     }
@@ -113,12 +117,12 @@
     private void UpdateControl() {
       if (Content == null) {
-        weightNuTextBox.Text = string.Empty;
+        weightMuTextBox.Text = string.Empty;
         weightSigmaTextBox.Text = string.Empty;
-        weightNuTextBox.Text = string.Empty;
+        weightMuTextBox.Text = string.Empty;
         weightChangeSigmaTextBox.Text = string.Empty;
       } else {
-        weightNuTextBox.Text = Content.WeightNu.ToString();
+        weightMuTextBox.Text = Content.WeightMu.ToString();
         weightSigmaTextBox.Text = Content.WeightSigma.ToString();
-        weightChangeNuTextBox.Text = Content.WeightManipulatorNu.ToString();
+        weightChangeMuTextBox.Text = Content.WeightManipulatorMu.ToString();
         weightChangeSigmaTextBox.Text = Content.WeightManipulatorSigma.ToString();
       }
Index: /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis/3.3/DataAnalysisProblem.cs
===================================================================
--- /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis/3.3/DataAnalysisProblem.cs	(revision 5274)
+++ /branches/DataAnalysis/HeuristicLab.Problems.DataAnalysis/3.3/DataAnalysisProblem.cs	(revision 5275)
@@ -35,9 +35,10 @@
   public class DataAnalysisProblem : ParameterizedNamedItem, IDataAnalysisProblem, IStorableContent {
     private const string DataAnalysisProblemDataParameterName = "DataAnalysisProblemData";
+
+    public string Filename { get; set; }
+
     public override Image ItemImage {
       get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Type; }
     }
-
-    public string Filename { get; set; }
 
     #region Parameter Properties
@@ -54,4 +55,10 @@
     [StorableConstructor]
     protected DataAnalysisProblem(bool deserializing) : base(deserializing) { }
+    protected DataAnalysisProblem(DataAnalysisProblem original, Cloner cloner)
+      : base(original, cloner) {
+      RegisterParameterEvents();
+      RegisterParameterValueEvents();
+    }
+
     public DataAnalysisProblem()
       : base() {
@@ -62,5 +69,5 @@
 
     [StorableHook(HookType.AfterDeserialization)]
-    private void AfterDeserializationHook() {
+    private void AfterDeserialization() {
       RegisterParameterEvents();
       RegisterParameterValueEvents();
@@ -90,8 +97,5 @@
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      DataAnalysisProblem clone = (DataAnalysisProblem)base.Clone(cloner);
-      clone.RegisterParameterEvents();
-      clone.RegisterParameterValueEvents();
-      return clone;
+      return new DataAnalysisProblem(this, cloner);
     }
 
